Get all billing rules
curl --request GET \
--url https://api.vantage.sh/v2/billing_rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/billing_rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/billing_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/billing_rules",
"first": "https://api.vantage.sh/v2/billing_rules?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/billing_rules?page=1",
"prev": null
},
"billing_rules": [
{
"token": "bllng_rule_ac6852c686e265a1",
"title": "Exclude Reserved Instance Fees",
"type": "Exclusion",
"created_by_token": "usr_018532419bd2e1da",
"created_at": "2024-07-02T15:26:51Z",
"charge_type": "Reserved Instance Fees"
}
]
}BillingRules
Get all billing rules
Returns a list of billing rules.
GET
/
billing_rules
Get all billing rules
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I